import { StyleSheet } from "react-native";
import {
  appColors,
  appFonts,
  fontSizes,
  windowHeight,
  windowWidth,
} from "@src/themes";

const styles = StyleSheet.create({
  ticketContainer: {
    borderWidth: windowHeight(0.1),
    borderColor: appColors.border,
    paddingBottom: windowHeight(10),
    borderRadius: windowHeight(15),
    paddingTop: windowHeight(6),
  },
  row: {
    width: "94%",
    justifyContent: "space-between",
  },
  ticketStyle: {
    color: appColors.blackColor,
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT19,
  },
  createdAt: {
    color: appColors.regularText,
    fontFamily: appFonts.regular,
    marginHorizontal: windowWidth(4),
    marginTop: windowHeight(2),
  },
  statusContainer: {
    paddingHorizontal: windowWidth(28),
    height: windowHeight(30),
    backgroundColor: appColors.lightButton,
    borderRadius: windowHeight(25),
    alignItems: "center",
    justifyContent: "center",
    marginHorizontal: windowWidth(13),
  },
  statusText: {
    color: appColors.price,
    fontFamily: appFonts.regular,
    fontSize: fontSizes.FONT19,
  },
  subjectText: {
    fontFamily: appFonts.medium,
    marginVertical: windowHeight(8),
    fontSize: fontSizes.FONT19,
  },
  desText: {
    color: appColors.regularText,
    fontFamily: appFonts.regular,
  },
  departmentView: {
    height: windowHeight(4),
    width: "100%",
    backgroundColor: appColors.loaderPrimary,
    marginVertical: windowHeight(12),
  },
  departSubView: {
    backgroundColor: appColors.lightPurpal,
    paddingHorizontal: windowWidth(19),
    paddingVertical: windowHeight(5),
    borderRadius: windowHeight(20),
  },
  priorityView: {
    backgroundColor: appColors.lightRed,
    paddingHorizontal: windowWidth(19),
    paddingVertical: windowHeight(5),
    borderRadius: windowHeight(20),
    marginHorizontal: windowWidth(10),
  },
  priorityText: {
    color: appColors.textRed,
    fontFamily: appFonts.regular,
  },
  headerView: {
    height: windowHeight(54),
    justifyContent: "space-between",
    alignItems: "center",
    marginHorizontal: windowHeight(12),
  },
  backButton: {
    height: windowHeight(32),
    width: windowHeight(32),
    borderColor: appColors.border,
    borderWidth: windowHeight(1),
    alignItems: "center",
    justifyContent: "center",
    borderRadius: windowHeight(5),
  },
  title: {
    fontSize: fontSizes.FONT23,
    fontFamily: appFonts.medium,
    color: appColors.primaryText,
  },
  addBtn: {
    width: windowHeight(38),
    height: windowHeight(38),
    backgroundColor: appColors.whiteColor,
    borderWidth: windowHeight(1),
    alignItems: "center",
    justifyContent: "center",
    borderRadius: windowHeight(38),
  },
  ticketSubContainer: {
    alignItems: "center",
    justifyContent: "center",
    flex: 1,
  },
  noImg: {
    height: windowHeight(270),
    width: windowHeight(270),
  },
  emptyTicket: {
    color: appColors.primaryText,
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT22,
  },
  marginHr: {
    marginHorizontal: windowWidth(5),
  },
  emptyTicketView: {
    marginVertical: windowHeight(8),
    alignItems: "center",
  },
  noTicketText: {
    color: appColors.regularText,
    marginHorizontal: windowWidth(50),
    textAlign: "center",
    fontFamily: appFonts.regular,
  },
  renderTicketItemView: {
    marginHorizontal: windowWidth(10),
    marginTop: windowHeight(15),
  },
  formatDateView: { width: "55%", alignItems: "center" },
  status_Container: {
    width: "32%",
    alignItems: "center",
    justifyContent: "flex-end",
  },
});

export default styles;
